All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::WorkerConsumer< TDatums > Class Template Referenceabstract

`#include <workerConsumer.hpp>`

Inherits op::Worker< TDatums >.

Inherited by op::WCocoJsonSaver< TDatums >, op::WFaceSaver< TDatums >, op::WGui< TDatums >, op::WGui3D< TDatums >, op::WHandSaver< TDatums >, op::WHeatMapSaver< TDatums >, op::WImageSaver< TDatums >, op::WPeopleJsonSaver< TDatums >, op::WPoseSaver< TDatums >, op::WUdpSender< TDatums >, and op::WVideoSaver< TDatums >.

## Public Member Functions

virtual | ~WorkerConsumer ()
void | work (TDatums &tDatums)
Public Member Functions inherited from op::Worker< TDatums >
| Worker ()
virtual | ~Worker ()
virtual void | initializationOnThread ()=0
bool | checkAndWork (TDatums &tDatums)
bool | isRunning () const
void | stop ()
virtual void | tryStop ()

## Protected Member Functions

virtual void | workConsumer (const TDatums &tDatums)=0

## Constructor & Destructor Documentation

template<typename TDatums >

op::WorkerConsumer< TDatums >::~WorkerConsumer | ( |  | ) |

virtual

## Member Function Documentation

template<typename TDatums >

void op::WorkerConsumer< TDatums >::work | ( | TDatums & | tDatums | ) |

inlinevirtual

Implements op::Worker< TDatums >.

template<typename TDatums >

virtual void op::WorkerConsumer< TDatums >::workConsumer | ( | const TDatums & | tDatums | ) |

protectedpure virtual

Implemented in op::WFaceSaver< TDatums >, op::WHandSaver< TDatums >, op::WPoseSaver< TDatums >, op::WGui3D< TDatums >, op::WCocoJsonSaver< TDatums >, op::WHeatMapSaver< TDatums >, op::WImageSaver< TDatums >, op::WPeopleJsonSaver< TDatums >, op::WUdpSender< TDatums >, op::WVideoSaver< TDatums >, and op::WGui< TDatums >.

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/thread/workerConsumer.hpp